Win a copy of Programmer's Guide to Java SE 8 Oracle Certified Associate (OCA) this week in the OCAJP forum!
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic

Plugin execution not covered by lifecycle configuration

 
dhoni Gibson
Ranch Hand
Posts: 30
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
HI All,

I stuck with the problem "Plugin execution not covered by lifecycle configuration" while using flexmojos-maven-plugin and getting below warning when doing maven build

[WARNING] Some problems were encountered while building the effective model for com.cccis.appraiser-management:appraiser-management:swf:2.1
[WARNING] 'dependencies.dependency.scope' for com.adobe.flex.framework:spark:swc must be one of [provided, compile, runtime, test, system] but is 'theme'. @ line 80, column 11
[WARNING] 'dependencies.dependency.scope' for com.adobe.flex.framework:halo:swc:theme must be one of [provided, compile, runtime, test, system] but is 'theme'. @ line 88, column 11

i checked my maven central repositry and we have flex-maven-plugin and dependecy jars. but somehow the maven is not recognizing flex mojo dependency. i really appreciate the help
 
Peter Johnson
author
Bartender
Posts: 5852
7
Android Eclipse IDE Ubuntu
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
The error message says it all:

[WARNING] 'dependencies.dependency.scope' for com.adobe.flex.framework:spark:swc must be one of [provided, compile, runtime, test, system] but is 'theme'. @ line 80, column 11
[WARNING] 'dependencies.dependency.scope' for com.adobe.flex.framework:halo:swc:theme must be one of [provided, compile, runtime, test, system] but is 'theme'. @ line 88, column 11

It appears that your POM has two dependencies (at line 80 and 88) that define a scope of "theme" and there is no such scope. Change the scope to one of the allowed values, as listed in the error message.
 
dhoni Gibson
Ranch Hand
Posts: 30
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi Peter,

thanks for your reply, as the error message says to change the scope to either provided, compile, runtime, test or system which are specific to maven-plugin, where as i am using flexmojos-maven-plugin which has its own scope called "theme".

i am trying to make maven to execute flexmojos-maven-plugin which will execute the build instead of using default maven-pluign.
 
Peter Johnson
author
Bartender
Posts: 5852
7
Android Eclipse IDE Ubuntu
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Please provide the URL for the page in the flexmojos-maven-plugin documentation that says that it support "theme" as a scope. I suspect that "scope" in this case is a parameter to one of the flexmojos-maven-plugin goals, and not the same scope as defined in dependencies. But I need to see the docs.
 
dhoni Gibson
Ranch Hand
Posts: 30
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
HI Peter,

I am newly using flexmojos maven plugin for my flex project and in the process of learning ... forgive me for asking some basic question .. because i couldnt find proper documentation for flexmojos plugin. some how i got below link which may have answer for you question..

http://stackoverflow.com/questions/7664068/how-do-i-set-the-theme-using-flexmojos

I appreciate you response.

Thanks
Dhoni
 
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic